200
application/jsonThe response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.
{}
Finds professional emails by names.
Finds professional emails by names.
Endpoint: GET https://api.outscraper.cloud/emails-finder
| Name | In | Type | Required | Description | Example | Constraints |
|---|---|---|---|---|---|---|
query |
query | array<string> | Yes | Full name + company domain (e.g., John Doe company.com, Dana outscraper.com).
It supports batching by sending arrays with up to 1000 queries (e.g., query=text1&query=text2&query=text3). It allows multiple queries to be sent in one request and to save on network latency time. |
- | - |
webhook |
query | string | No | The parameter defines the URL address (callback) to which Outscraper will create a POST request with a JSON body once a task/request is finished. Using this parameter overwrites the webhook from integrations. | - | - |
The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.
{}
The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.
{
"id": "your-request-id",
"status": "Pending",
"results_location": "https://api.outscraper.cloud/requests/your-request-id"
}
Wrong or missing API Key (token).
{
"error": true,
"errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}
Past due invoices or a payment method not connected.
{
"error": true,
"errorMessage": "Please close past due invoices or verify your card information is correct."
}
Wrong query url parameters.
{
"error": true,
"errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}
curl -X GET "https://api.outscraper.cloud/emails-finder?query=Dana%20outscraper.com&async=false" -H "X-API-KEY: YOUR-API-KEY"
curl -X GET "https://api.outscraper.cloud/emails-finder?query=Dana%20outscraper.com" -H "X-API-KEY: YOUR-API-KEY"
Finds emails, social links, phones, and other contacts from websites.
Checks origins of email addresses (disposable, free, or corporate)
Allows to validate email addresses. Checks if emails are deliverable.
Allows finding email addresses, social links, and phones from domains.